WhyCan Forum

本站无需注册,无需积分,无需回复可下载所有资料,如果真的喜欢小站,请您注册之后请至少回复一个帖子激活Id,谢谢支持! 站长QQ: 516333132 (挖坑网/填坑网) admin@whycan.cn

您尚未登录。

#1 2017-11-14 16:48:58

daydayup
会员
注册时间: 2017-10-09
累计积分: 294

V3s buildroot编译出来的Qt5.9.1运行出这个 eglfs plugin 问题,应该如何解决?

V3s buildroot编译出来的Qt5.9.1运行出这个问题,应该如何解决?

# analogclock
This application failed to start because it could not find or load the Qt platform plugin "eglfs"
in "".

Reinstalling the application may fix this problem.
Aborted

离线

#2 2017-11-14 16:52:44

沉鱼
Administrator
注册时间: 2017-09-06
累计积分: 161

Re: V3s buildroot编译出来的Qt5.9.1运行出这个 eglfs plugin 问题,应该如何解决?

./analogclock  -platform linuxfb
试一试这样

离线

#3 2017-11-14 16:53:20

沉鱼
Administrator
注册时间: 2017-09-06
累计积分: 161

Re: V3s buildroot编译出来的Qt5.9.1运行出这个 eglfs plugin 问题,应该如何解决?

http://blog.csdn.net/chongzi865458/article/details/54406865

从Qt5.0开始,Qt不再包含自己的视窗系统了(QWS)。对于单屏幕的情况,使用QtPlatform Abstraction是一个很好的选择。多屏的情况可以通过Wayland实现。
         有许多跨平台的插件可以使用:EGLFS,LinuxFB,KMS,DirectFB,Wayland。可以通过配置Qt使用这些插件。默认的平台插件是特殊设备。例如,许多板子默认使用eglfs。如果默认的不合适,可以通过修改QT_QPA_PLATFORM环境变量来设置另一个插件。可选的,使用-platform 命令行也可以达到相同的效果。

离线

#4 2017-11-14 16:53:35

daydayup
会员
注册时间: 2017-10-09
累计积分: 294

Re: V3s buildroot编译出来的Qt5.9.1运行出这个 eglfs plugin 问题,应该如何解决?

可以了,谢谢

离线

#5 2018-01-16 10:33:35

Any
会员
注册时间: 2017-12-11
累计积分: 20

Re: V3s buildroot编译出来的Qt5.9.1运行出这个 eglfs plugin 问题,应该如何解决?

同样遇到了这个问题,看这个帖子解决了。感谢。

离线

#6 2018-03-18 16:53:50

lvjun0728
会员
注册时间: 2018-03-18
累计积分: 13

Re: V3s buildroot编译出来的Qt5.9.1运行出这个 eglfs plugin 问题,应该如何解决?

收藏下。。。谢谢分享

离线

#7 2018-03-18 21:14:47

Lvy
会员
注册时间: 2017-11-25
累计积分: 78

Re: V3s buildroot编译出来的Qt5.9.1运行出这个 eglfs plugin 问题,应该如何解决?

谢谢提供解决方法!!

离线

#8 2019-07-16 12:05:03

Gentlepig
会员
注册时间: 2018-10-24
累计积分: 182

Re: V3s buildroot编译出来的Qt5.9.1运行出这个 eglfs plugin 问题,应该如何解决?

那么用buildroot配置时,能不能直接指定platform是linuxfb呢?

离线

#9 2019-07-16 13:29:46

晕哥
Administrator
注册时间: 2017-09-06
累计积分: 7,180

Re: V3s buildroot编译出来的Qt5.9.1运行出这个 eglfs plugin 问题,应该如何解决?

Gentlepig 说:

那么用buildroot配置时,能不能直接指定platform是linuxfb呢?

buildroot默认选项编译出来就是 linuxfb

离线

#10 2019-07-16 13:52:23

Gentlepig
会员
注册时间: 2018-10-24
累计积分: 182

Re: V3s buildroot编译出来的Qt5.9.1运行出这个 eglfs plugin 问题,应该如何解决?

http://blog.csdn.net/chongzi865458/article/details/54406865
从这个链接里,看到这么句话:“有许多跨平台的插件可以使用:EGLFS,LinuxFB,KMS,DirectFB,Wayland..."

那么像这个帖子里,大部分都是遇到了找到到eglfs这个问题吧,说明,默认配置的是eglfs。

--- Qt5                                                                     │ │  
  │ │     -*-   qt5base                                                               │ │  
  │ │     [ ]     Approve free license                                                │ │  
  │ │     ()      Config file                                                         │ │  
  │ │     [ ]     Compile and install examples (with code)                            │ │  
  │ │     [ ]     concurrent module                                                   │ │  
  │ │     [ ]     MySQL Plugin                                                        │ │  
  │ │     [ ]     PostgreSQL Plugin                                                   │ │  
  │ │             SQLite 3 support (No sqlite support)  --->                          │ │  
  │ │     [*]     gui module                                                          │ │  
  │ │     [*]       widgets module                                                    │ │  
  │ │               *** OpenGL support needs an OpenGL-capable backend ***            │ │  
  │ │     -*-       linuxfb support                                                   │ │  
  │ │               *** directfb backend available if directfb is enabled ***         │ │  
  │ │               *** X.org XCB backend available if X.org is enabled ***           │ │  
  │ │               *** eglfs backend available if OpenGL and EGL are enabled ***     │ │  
  │ │     ()        Default graphical platform                                        │ │  
  │ │     [*]       fontconfig support                                                │ │  
  │ │     [ ]       GIF support                                                       │ │  
  │ │     [ ]       JPEG support                                                      │ │  
  │ │     [ ]       PNG support                                                       │ │  
  │ │     [ ]     DBus module                                                         │ │  
  │ │     [ ]     Enable ICU support                                                  │ │  
  │ │     [*]     Enable Tslib support                                                │ │  
  │ │           *** qt5canvas3d needs an OpenGL-capable backend ***                   │ │  
  │ │           *** qt5connectivity needs neard and/or bluez(5)_utils ***             │ │  
  │ │     [ ]   qt5declarative                                                        │ │  
  │ │     [ ]   qt5enginio                                                            │ │  
  │ │           *** qt5graphicaleffects needs an OpenGL-capable backend ***           │ │  
  │ │     [ ]   qt5imageformats                                                       │ │  
  │ │     [ ]   qt5location                                                           │ │  
  │ │     [ ]   qt5multimedia                                                         │ │  
  │ │           *** qt5quickcontrols needs an OpenGL-capable backend ***              │ │  
  │ │     [ ]   qt5sensors                                                            │ │  
  │ │     [*]   qt5serialport                                                         │ │  
  │ │     [ ]   qt5svg                                                                │ │  
  │ │     [ ]   qt5tools                                                              │ │  
  │ │     [ ]   qt5webchannel                                                         │ │  
  │ │     [ ]   qt5websockets                                                         │ │  
  │ │     [ ]   qt5xmlpatterns                                                        │ │  
  │ │           *** technology preview ***                                            │ │  
  │ │           *** qt53d module needs an OpenGL-capable backend ***                  │ │  
  │ │           *** qt5quickcontrols2 needs an OpenGL-capable backend ***       

最近编辑记录 Gentlepig (2019-07-16 13:55:41)

离线

#11 2019-07-16 14:09:20

晕哥
Administrator
注册时间: 2017-09-06
累计积分: 7,180

Re: V3s buildroot编译出来的Qt5.9.1运行出这个 eglfs plugin 问题,应该如何解决?

我这个buildroot的默认配置是linuxfb, 当然也可以选别的配置:

#
# qt53d module needs an OpenGL-capable backend
#
BR2_PACKAGE_QT5BASE=y
BR2_PACKAGE_QT5BASE_CUSTOM_CONF_OPTS=""
BR2_PACKAGE_QT5BASE_CONFIG_FILE=""
# BR2_PACKAGE_QT5BASE_EXAMPLES is not set
BR2_PACKAGE_QT5BASE_NETWORK=y
# BR2_PACKAGE_QT5BASE_CONCURRENT is not set
BR2_PACKAGE_QT5BASE_SQL=y
# BR2_PACKAGE_QT5BASE_MYSQL is not set
# BR2_PACKAGE_QT5BASE_PSQL is not set
BR2_PACKAGE_QT5BASE_SQLITE_NONE=y
# BR2_PACKAGE_QT5BASE_SQLITE_QT is not set
# BR2_PACKAGE_QT5BASE_SQLITE_SYSTEM is not set
BR2_PACKAGE_QT5BASE_TEST=y
BR2_PACKAGE_QT5BASE_XML=y
BR2_PACKAGE_QT5BASE_GUI=y
BR2_PACKAGE_QT5BASE_WIDGETS=y

#
# OpenGL support needs an OpenGL-capable backend
#
BR2_PACKAGE_QT5BASE_LINUXFB=y

#
# directfb backend available if directfb is enabled
#

#
# X.org XCB backend available if X.org is enabled
#

#
# eglfs backend available if OpenGL and EGL are enabled
#
BR2_PACKAGE_QT5BASE_DEFAULT_QPA=""
BR2_PACKAGE_QT5BASE_PRINTSUPPORT=y
# BR2_PACKAGE_QT5BASE_FONTCONFIG is not set
# BR2_PACKAGE_QT5BASE_GIF is not set
# BR2_PACKAGE_QT5BASE_JPEG is not set
# BR2_PACKAGE_QT5BASE_PNG is not set
# BR2_PACKAGE_QT5BASE_DBUS is not set
# BR2_PACKAGE_QT5BASE_ICU is not set
BR2_PACKAGE_QT5BASE_TSLIB=y

#
# qt5canvas3d needs an OpenGL-capable backend
#

#
# qt5connectivity needs neard and/or bluez(5)_utils
#
# BR2_PACKAGE_QT5DECLARATIVE is not set
# BR2_PACKAGE_QT5ENGINIO is not set

离线

#12 2019-07-16 14:32:50

Gentlepig
会员
注册时间: 2018-10-24
累计积分: 182

Re: V3s buildroot编译出来的Qt5.9.1运行出这个 eglfs plugin 问题,应该如何解决?

请教,这段文本是哪个文件里的呢?我想看下我这里默认的是什么。

离线

#13 2019-07-16 14:42:55

晕哥
Administrator
注册时间: 2017-09-06
累计积分: 7,180

Re: V3s buildroot编译出来的Qt5.9.1运行出这个 eglfs plugin 问题,应该如何解决?

这个就是我的 buildroot 根目录下面的 .config 文件。

离线

#14 2019-07-16 15:41:03

Gentlepig
会员
注册时间: 2018-10-24
累计积分: 182

Re: V3s buildroot编译出来的Qt5.9.1运行出这个 eglfs plugin 问题,应该如何解决?

谢谢,找到了。
再请教个问题。
之前的qt4程序,加-qws后缀,执行后是有个绿色背景,没有标题栏。
现在的qt5程序,加-platform linuxfb后缀,执行后没有背景,没有标题栏,背景是原来的命令行。
是我有地方配置错了?还是说,qt5只能这样?

离线

#15 2019-07-16 16:02:18

晕哥
Administrator
注册时间: 2017-09-06
累计积分: 7,180

Re: V3s buildroot编译出来的Qt5.9.1运行出这个 eglfs plugin 问题,应该如何解决?

绿色背景可能是 qws 的带来的, linuxfb 没有应该是渲染的时候一点差异。

标题栏 这个可以通过代码强制加上。

离线

#16 2019-07-16 16:24:01

Gentlepig
会员
注册时间: 2018-10-24
累计积分: 182

Re: V3s buildroot编译出来的Qt5.9.1运行出这个 eglfs plugin 问题,应该如何解决?

谢谢。

离线

页脚